function dopOSCCIrun(dop)
% dopOSCCI Mark II: dopOSCCIrun ~ 18-11-2010 (last edit)
%
% runs dopOSCCI (see dopOSCCI function) with varargin settings
%

% try
    %% dopTaskDef
    % if there's a taskDef name or filename, or full path in the set of
    % inputs, then load it - save a copy with the output.
%     dop.saveDop
    dop=dopOSCCIdef(dop);
    
%     dop.saveDop
    %% general setup
    dop=dopGenSetup(dop); % still requires dir creating editting 13-8-2010
   
    %% run summary
    dop=dopOSCCIsummary(dop);
    
    %% finish
    % end report, save dop structure, play sound
    dopOSCCIfinish(dop);
% catch err
%     dopOSCCIcrash(err,dop,mfilename);
% end
